Data Fields

# TileHeightData Struct Reference

Heightlevel data. More...

`#include <map_type.h>`

## Data Fields
byte | heightlevel

## Detailed Description

Heightlevel data.

Placed in a separate data structure because this way we can avoid allocating memory for the corresponding array if the settings say that we don't allow additional heightlevels. (i.e. ConstructionSettings.allow_more_heightlevels is false.)

Definition at line 44 of file map_type.h.

The documentation for this struct was generated from the following file:

- src/map_type.h